ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-8141) Files View fails to build in trunk
Date Wed, 05 Nov 2014 01:19:34 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-8141?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14197290#comment-14197290
] 

Hudson commented on AMBARI-8141:
--------------------------------

SUCCESS: Integrated in Ambari-trunk-Commit #828 (See [https://builds.apache.org/job/Ambari-trunk-Commit/828/])
AMBARI-8141. Files View fails to build in trunk. (Jayush Luniya via yusaku) (yusaku: http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=646ba61da9998d6709d2ef10b6bd38a7dcc3ff1a)
* contrib/views/files/src/main/resources/ui/bower.json


> Files View fails to build in trunk
> ----------------------------------
>
>                 Key: AMBARI-8141
>                 URL: https://issues.apache.org/jira/browse/AMBARI-8141
>             Project: Ambari
>          Issue Type: Bug
>          Components: contrib
>    Affects Versions: 2.0.0
>            Reporter: Jayush Luniya
>            Assignee: Jayush Luniya
>            Priority: Critical
>             Fix For: 2.0.0
>
>         Attachments: AMBARI-8141.patch
>
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> mvn clean install package -Dviews -DskipTests
> INFO] > package-name@0.0.1 postinstall /Users/jluniya/trunk/ambari/contrib/views/files/src/main/resources/ui
> [INFO] > bash node/with_new_path.sh node node_modules/.bin/bower --allow-root install
> [INFO]
> [INFO] bower ladda-bootstrap#~0.1.0    cached git://github.com/msurguy/ladda-bootstrap.git#0.1.0
> [INFO] bower ladda-bootstrap#~0.1.0  validate 0.1.0 against git://github.com/msurguy/ladda-bootstrap.git#~0.1.0
> [INFO] bower ember#1.7.0               cached git://github.com/components/ember.git#1.7.0
> [INFO] bower ember#1.7.0             validate 1.7.0 against git://github.com/components/ember.git#1.7.0
> [INFO] bower ember-data#1.0.0-beta.9   cached git://github.com/components/ember-data.git#1.0.0-beta.9
> [INFO] bower ember-data#1.0.0-beta.9 validate 1.0.0-beta.9 against git://github.com/components/ember-data.git#1.0.0-beta.9
> [INFO] bower jquery#1.9.0              cached git://github.com/jquery/jquery.git#1.9.0
> [INFO] bower jquery#1.9.0            validate 1.9.0 against git://github.com/jquery/jquery.git#1.9.0
> [INFO] bower bootstrap#3.1.x           cached git://github.com/twbs/bootstrap.git#3.1.1
> [INFO] bower bootstrap#3.1.x         validate 3.1.1 against git://github.com/twbs/bootstrap.git#3.1.x
> [INFO] bower ember-uploader#~0.2.7     cached git://github.com/benefitcloud/ember-uploader.git#0.2.8
> [INFO] bower ember-uploader#~0.2.7   validate 0.2.8 against git://github.com/benefitcloud/ember-uploader.git#~0.2.7
> [INFO] bower moment#~2.5.1             cached git://github.com/moment/moment.git#2.5.1
> [INFO] bower moment#~2.5.1           validate 2.5.1 against git://github.com/moment/moment.git#~2.5.1
> [INFO] bower ember-i18n#~1.6.0         cached git://github.com/jamesarosen/ember-i18n.git#1.6.4
> [INFO] bower ember-i18n#~1.6.0       validate 1.6.4 against git://github.com/jamesarosen/ember-i18n.git#~1.6.0
> [INFO] bower bootstrap-contextmenu#~0.2.0           cached git://github.com/sydcanem/bootstrap-contextmenu.git#0.2.0
> [INFO] bower bootstrap-contextmenu#~0.2.0         validate 0.2.0 against git://github.com/sydcanem/bootstrap-contextmenu.git#~0.2.0
> [INFO] bower font-awesome#~4.0.3                    cached git://github.com/FortAwesome/Font-Awesome.git#4.0.3
> [INFO] bower font-awesome#~4.0.3                  validate 4.0.3 against git://github.com/FortAwesome/Font-Awesome.git#~4.0.3
> [INFO] bower bootstrap#>=3.0.0                      cached git://github.com/twbs/bootstrap.git#3.3.0
> [INFO] bower bootstrap#>=3.0.0                    validate 3.3.0 against git://github.com/twbs/bootstrap.git#>=3.0.0
> [INFO] bower spin.js#~1.3.2                         cached git://github.com/fgnass/spin.js.git#1.3.3
> [INFO] bower spin.js#~1.3.2                       validate 1.3.3 against git://github.com/fgnass/spin.js.git#~1.3.2
> [INFO] bower handlebars#>= 1.0.0 < 2.0.0            cached git://github.com/components/handlebars.js.git#1.3.0
> [INFO] bower handlebars#>= 1.0.0 < 2.0.0          validate 1.3.0 against git://github.com/components/handlebars.js.git#>=
1.0.0 < 2.0.0
> [INFO] bower cldr#^1.0                              cached git://github.com/jamesarosen/CLDR.js.git#1.0.2
> [INFO] bower cldr#^1.0                            validate 1.0.2 against git://github.com/jamesarosen/CLDR.js.git#^1.0
> [INFO] bower jquery#>= 1.9.1                        cached git://github.com/jquery/jquery.git#2.1.1
> [INFO] bower jquery#>= 1.9.1                      validate 2.1.1 against git://github.com/jquery/jquery.git#>=
1.9.1
> [INFO] bower                                     ECONFLICT Unable to find suitable version
for jquery
> [INFO]
> [INFO] npm ERR! package-name@0.0.1 postinstall: `bash node/with_new_path.sh node node_modules/.bin/bower
--allow-root install`
> [INFO] npm ERR! Exit status 1
> [INFO] npm ERR!
> [INFO] npm ERR! Failed at the package-name@0.0.1 postinstall script.
> [INFO] npm ERR! This is most likely a problem with the package-name package,
> [INFO] npm ERR! not with npm itself.
> [INFO] npm ERR! Tell the author that this fails on your system:
> [INFO] npm ERR!     bash node/with_new_path.sh node node_modules/.bin/bower --allow-root
install
> [INFO] npm ERR! You can get their info via:
> [INFO] npm ERR!     npm owner ls package-name
> [INFO] npm ERR! There is likely additional logging output above.
> [INFO] npm ERR! System Darwin 13.3.0
> [INFO] npm ERR! command "/Users/jluniya/trunk/ambari/contrib/views/files/src/main/resources/ui/node/node"
"/Users/jluniya/trunk/ambari/contrib/views/files/src/main/resources/ui/node/npm/bin/npm-cli.js"
"install" "--python=\"/Users/jluniya/trunk/ambari/contrib/views/files/../src/main/unix/ambari-python-wrap\""
"--unsafe-perm" "--registry=http://registry.npmjs.eu" "--color=false"
> [INFO] npm ERR! cwd /Users/jluniya/trunk/ambari/contrib/views/files/src/main/resources/ui
> [INFO] npm ERR! node -v v0.10.26
> [INFO] npm ERR! npm -v 1.4.3
> [INFO] npm ERR! code ELIFECYCLE
> [INFO] npm ERR!
> [INFO] npm ERR! Additional logging details can be found in:
> [INFO] npm ERR!     /Users/jluniya/trunk/ambari/contrib/views/files/src/main/resources/ui/npm-debug.log
> [INFO] npm ERR! not ok code 0



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message